<?php

// Die if we are called via web, we only want to be run from command line
if (php_sapi_name() !='cli') exit;

function parse_conf($filename) {

    global $config_engine;

    $file = file($filename);

    foreach ($file as $line) {
        if (preg_match("/^\s*([\w]+)\s*=\s*\"?([\w\/\:\.\*\%!-]*)\"?\s*([;#].*)?/",$line,$matches)) {
            $matches[1] = preg_replace("/^AMP/","",$matches[1]);
            if($config_engine=='thirdlane_db') {
                if($matches[1]=='DBCONFIG') { $matches[1]='DBNAME'; $conf['DBHOST']='localhost';} // Convert thirdlane db name entry
            }
            $conf[ $matches[1] ] = $matches[2];
        }
    }

    return $conf;
}

$conf = parse_conf("/etc/amportal.conf");

$db = new mysqli($conf['DBHOST'], $conf['DBUSER'], $conf['DBPASS'], $conf['DBNAME']);
if ($db->connect_errno) {
    echo "Fallo al contenctar a MySQL: (" . $db->connect_errno . ") " . $db->connect_error;
    die();
}

$query = "SELECT description,defaultcode FROM featurecodes WHERE modulename='daynight'";
if(!$result = $db->query($query)){
    die('There was an error running the query [' . $db->error . ']');
}

$seteo=array();
for($a=0;$a<10;$a++) {
    $seteo['name_'.$a]="";
}
while($row = $result->fetch_assoc()){
    $partes = preg_split("/: /",$row['description']);
    $index = $partes[0];
    $nombre = $partes[1];
    $seteo['featurecode_prefix'] = substr($row['defaultcode'],0,-1);
    $seteo['name_'.$index]=$nombre;
}

$dir = dirname(__FILE__);
$fp = fopen($dir."/callflowfpbx.ini","w");
foreach($seteo as $key=>$val) {
    $linea = $key." = \"".$val."\"\n";
    fputs($fp,$linea);
}
fclose($fp);
